Gossamer Forum
Home : Products : Gossamer Forum : Discussion :

Upgrade failure

Quote Reply
Upgrade failure
Performing Gossamer Forum 1.1.8 -> 1.2.0 upgrades...
Making sure you have the required p_rfl index...
Okay!
Adding column post_sticky to Post table...
Okay!
Adding index 'p_sf'...
Okay!
Adding column user_payment_expiry to User table...
Okay!
Making user_payment_expiry a protected field...
Okay!
Adding column user_payment_donations to User table...
Okay!
Making user_payment_donations a protected field...
Okay!
Change ban_reason column to allow an empty value for a ban reason...
An error occurred: Failed to execute query: 'ALTER TABLE gforum_ForumBan ALTER COLUMN ban_reason TEXT ' Reason: [Microsoft][ODBC SQL Server Driver][SQL Server]Cannot alter column 'ban_reason' because it is 'text'. (SQL-37000)(DBD: st_execute/SQLExecute err=-1)Adding Payment table...
Okay!
Adding PaymentLog table...
Okay!
Scanning for and repairing incorrect post reply counts...
Scanning for post tree inconsistencies...






Error




An error occured:

Failed to execute query: ' SELECT gforum_Post.post_id, gforum_Post.post_depth, COUNT(tree_id_fk) AS tree_recs FROM gforum_Post LEFT OUTER JOIN gforum_Post_tree ON gforum_Post_tree.tree_id_fk = gforum_Post.post_id GROUP BY post_id HAVING tree_recs != post_depth ORDER BY post_depth ' Reason: [Microsoft][ODBC SQL Server Driver][SQL Server]Invalid column name 'tree_recs'. (SQL-S0022) [Microsoft][ODBC SQL Server Driver][SQL Server]Statement(s) could not be prepared. (SQL-37000)(DBD: st_execute/SQLExecute err=-1) at
.....edited\install.cgi line 8883.


Quote Reply
Re: [ArmyAirForces] Upgrade failure In reply to
yet, i update from 1.1.8 had cause SAME ERROR.

my MSN: perlchina_at_hotmail.com
Quote Reply
Re: [ArmyAirForces] Upgrade failure In reply to
Download the 1.2.0 tar file again - it should go through this time without the error.

Jason Rhinelander
Gossamer Threads
jason@gossamer-threads.com
Quote Reply
Re: [Jagerman] Upgrade failure In reply to
This doesn't affect MySQL by the way, and the only difference between the current download and the previous one is the fixed code for non-MySQL databases - so if you've already downloaded it, and the upgrade worked, you don't need to worry about this.

Jason Rhinelander
Gossamer Threads
jason@gossamer-threads.com
Quote Reply
Re: [Jagerman] Upgrade failure In reply to
Trying to add a payment option gives an error.

Seems it's looking for "GT/Payment...", and the module is in "GForum/Payment".

A symlink _seems_ to have fixed this, but it's not a 'good' thing <G>


PUGDOG´┐Ż Enterprises, Inc.

The best way to contact me is to NOT use Email.
Please leave a PM here.
Quote Reply
Re: [Jagerman] Upgrade failure In reply to
Jason, bugs...

Stick is not working, no matter what I do can not get the post to be sticky (all other admin options work move, lock etc) I'm using the original 1.2 templates.

In the payment options go to donation setup -> payment setup you will see some options were an invalid tag message is appearing. you used .= in some set tags, guess you got confused with Perl code for concatenation.
Quote Reply
Re: [jaltuve] Upgrade failure In reply to
Hmm... Where is the sticky thread that was posted in this forum? there was a Sticky thread (a teaser) was it removed or maybe there is a problem?
Quote Reply
Re: [Jagerman] Upgrade failure In reply to
I was taking a look at the code to debug the sticky threads thing, and I think I already know what is it (in fact I already fixed it) for some reason the column post_sticky in the post table was not created, resyncing the def files solved the problem.
Quote Reply
Re: [pugdog] Upgrade failure In reply to
In Reply To:
Seems it's looking for "GT/Payment...", and the module is in "GForum/Payment".

A symlink _seems_ to have fixed this, but it's not a 'good' thing <G>

Ack! Frown No, it _IS_ supposed to be GT/Payment (there are two sets of modules - GT::Payment ones, which handle the general payment functionality, and GForum::Payment ones, which integrate that general functionality into GForum). It seems the GT::Payment ones weren't packaged with the original .tar.gz installation file. I've fixed this and uploaded fixed package - although I strongly recommend you remove that symlink before extracting it, or else things will definitely break.

Jason Rhinelander
Gossamer Threads
jason@gossamer-threads.com